Retrieve a specific quote by its reference code
curl --request GET \
--url https://dev.superpool.unyte.africa/api/v1/quotes/{quote_code}/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://dev.superpool.unyte.africa/api/v1/quotes/{quote_code}/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://dev.superpool.unyte.africa/api/v1/quotes/{quote_code}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"quote_code": "QTE_2021_01_0001",
"base_price": 1000,
"product": {
"id": "3b0630d1-1a90-4413-a46f-501fc5e783d9",
"created_at": "2021-11-01T00:00:00Z",
"updated_at": "2021-11-01T00:00:00Z",
"is_trashed": "false",
"trashed_at": "2025-02-12 16:35",
"restored_at": "null",
"name": "Health Insurance",
"description": "This is a health insurance policy",
"product_type": "Health",
"provider": "1fecef4b-76c4-4b0f-a01c-282c45b645db",
"coverage_details": "null",
"insurer": "Reliance Health",
"price": {
"amount": 1000,
"description": "Health insurance premium",
"currency": "USD",
"discount_amount": 0,
"surcharges": 0,
"commission": 0
}
}
}Quotes
Retrieve a specific quote by its reference code
Endpoint to retrieve a specific quote by its reference code
GET
/
api
/
v1
/
quotes
/
{quote_code}
/
Retrieve a specific quote by its reference code
Authorizations
Path Parameters
Response
Quote details
Assigned identifier for managing quote objects
Price estimate of insurance product for default tenure excluding any adjustments
Pattern:
^-?\d{0,8}(?:\.\d{0,2})?$Serializer for the Product model
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Request a quote for an insurance policy or productCapture a new purchase intent for an insurance policy
⌘I
